tool_pan {rbokeh} | R Documentation

## Add "pan" tool to a Bokeh figure

### Description

Add "pan" tool to a Bokeh figure

### Usage

    tool_pan(fig, dimensions = NULL, remove = FALSE)

### Arguments

`fig` | Figure to modify.
`dimensions` | Which dimensions the pan tool is constrained to act in. By default the pan tool will pan in any dimension, but can be configured to only pan horizontally across the width of the plot, or vertically across the height of the plot. One of 'width', 'height', or 'both'.
`remove` | Logical indicating whether the tool should be removed.

### See Also

Other tools: `tool_box_select`, `tool_box_zoom`, `tool_crosshair`, `tool_help`, `tool_lasso_select`, `tool_poly_select`, `tool_redo`, `tool_reset`, `tool_save`, `tool_undo`, `tool_wheel_pan`, `tool_wheel_zoom`, `tool_zoom_in`, `tool_zoom_out`

### Examples

    # only pan on x axis
    figure() %>% ly_points(1:10) %>%
     tool_pan(dimensions = "height")

    figure(tools = NULL) %>%
      ly_points(1:10) %>%
      tool_pan(dimensions = "width")

[Package rbokeh version 0.6.3 Index]